## br.ispell 2.4.really.3.0.beta4-7

=== Makefile ===
#
# Makefile para o br.ispell
#

#
#   targets principais:
#   -------------------
#
#   make br.base     produz o dicionrio base
#
#   targets especficos para o ispell:
#   ----------------------------------
#
#   make br.ispell   produz o arquivo de razes para o ispell
#   make br.aff      produz o arquivo de afixos para o ispell
#   make br.hash     produz o arquivo de afixos para o ispell
#
#   targets para os outros verificadores:
#   -------------------------------------
#
#   make aspell      gera o arquivo pt_BR para o aspell
#   make myspell     gera arquivos pt_BR.dic e pt_BR.aff
#
#   Obs. no h target para instalar esses arquivos. Eles
#   tero que ser manualmente copiados para os diretrios onde o
#   aspell e o myspell esperam encontr-los.
#
#   outros:
#   -------
#
#   make formas      gera a lista de todas as palavras (formas)
#   make silabas     cria o silabrio
#   make paradigmas  mostra os paradigmas em ordem de uso
#   make testes      roda todos os testes
#   make install     instala o hash do ispell e o conjugue
#   make FAQ         constri o ndice do FAQ
#

#
# SEO DE CONFIGURAO
# ---------------------
#

#
# Escolha os paths que sero utilizados para instalar os arquivos
# e configurar as ferramentas.
#
#   HASHDIR - aqui ser colocado o br.hash
#   BINDIR  - aqui ser colocado o conjugue
#   VDIR    - aqui ser colocado o banco de verbos
#   MANDIR  - aqui ser colocada a man page do conjugue
#
prefix=/usr/local
BINDIR=$(prefix)/bin
HASHDIR=$(prefix)/lib/ispell
VDIR=$(prefix)/lib
MANDIR=$(prefix)/man

#
# Escolha o interpretador awk a ser utilizado.
#
# OBS. Muito provavelmente o conjugador de verbos no operar
# corretamente se o interpretador no for o gawk. A partir da
# verso 3.0 do br.ispell, o conjugador assume que a funo
# toupper do interpretador  compatvel com ISO-8859-1.
#
AWK=/usr/bin/gawk

#
# Daqui para baixo procure no mexer mais em nada
#

all: br.aff br.base br.ispell br.hash aspell myspell

#
# Constri o dicionrio base
#
br.base: E-2.5 E-Raul E-Rodrigo E-Osmar E-outras conjugue verbos fl br.aff
	echo origens >br.base.tmp
	echo 1 br.ispell 2.5 >>br.base.tmp
	echo >>br.base.tmp
	echo paradigmas verbais >>br.base.tmp
	$(AWK) -f ./conjugue -v BANCO=verbos -v FORMATO=b >>br.base.tmp
	echo >>br.base.tmp
	./fl -E E-2.5 >>br.base.tmp
	mv -f br.base.tmp br.base
	./fl -E E-Raul >br.base.tmp
	mv -f br.base.tmp br.base
	./fl -E E-Osmar >br.base.tmp
	mv -f br.base.tmp br.base
	./fl -E E-Rodrigo >br.base.tmp
	mv -f br.base.tmp br.base
	./fl -E E-outras >br.base.tmp
	mv -f br.base.tmp br.base
	$(AWK) -f ./conjugue -v BANCO=verbos -v FORMATO=b -v CMD=T >>br.base

#
# Flexiona a lista do Rodrigo
#
E-Rodrigo: L-Rodrigo
	./fl -F <L-Rodrigo >E-Rodrigo

#
# Constri o arquivo de afixos
#
br.aff: br.aff.nv conjugue verbos
	$(AWK) -f ./conjugue -v BANCO=verbos -v FORMATO=aa -v CMD=T >v.rules
	cat br.aff.nv v.rules >br.aff
	rm -f v.rules

#
# Gera as conjugaes de todos os verbos, com o resultado
# fatorado pelas flags do br.aff.
#
v.ispell: conjugue verbos
	$(AWK) -f ./conjugue -v BANCO=verbos -v FORMATO=ci -v CMD=T >v.ispell

#
# Constri o vocabulrio total fatorado com as flags do br.aff.
#
# Acrescenta as formas que o ispell no consegue obter atravs
# da tabela de afixos.
#
# H um bug no fl que produz nenhum/A ao invs de nenhum/H. No
# sabemos ainda resolver ao nvel do fl.
#
br.ispell: v.ispell br.base fl br.aff
	./fl -l >br.ispell.tmp
	cat v.ispell >>br.ispell.tmp
	sort br.ispell.tmp | uniq >br.ispell
	./fl -I >>br.ispell.tmp
	echo "os" >>br.ispell.tmp
	echo "as" >>br.ispell.tmp
	sort br.ispell.tmp | sed 's/^nenhum\/A/nenhum\/H/' | uniq >br.ispell
	rm -f br.ispell.tmp

#
# Gera o vocabulario total, flexionado com as flags do br.aff.
#
br.hash: br.aff br.ispell
	buildhash br.ispell br.aff br.hash

#
# Instala o br.hash
#
install-hash: br.ispell
	install -d $(HASHDIR)
	install --mode=644 br.hash br.aff $(HASHDIR)

#
# Instala o conjugue, substituindo antes os paths default pelos
# que tiverem sido especificados acima.
#
install-conjugue:
	sed -e 's|/usr/bin/gawk|$(AWK)|g' -e \
	's|/usr/local/lib/verbos|$(VDIR)/verbos|g' conjugue >conjugue.tmp
	chmod 755 conjugue.tmp
	mv -f conjugue.tmp conjugue
	sed -e 's|/usr/local/lib|$(VDIR)|g' conjugue.1 >conjugue.1.tmp
	chmod 644 conjugue.1.tmp
	mv -f conjugue.1.tmp conjugue.1
	touch conjugue-stamp
	install -d $(BINDIR)
	install --mode=755 conjugue $(BINDIR)/conjugue
	install -d $(DESTDIR)$(VDIR)
	install --mode=644 verbos $(DESTDIR)$(VDIR)/verbos
	install -d $(MANDIR)/man1
	install --mode=644 conjugue.1 $(MANDIR)/man1/conjugue.1

#
# instala o conjugue e o hash do ispell
#
install: install-hash install-conjugue

#
# Gera o vocabulrio flexionado a partir do br.hash.
#
formas: br.hash
	cat br.ispell | ispell -e -d ./br.hash | tr " " "\n" |sort|\
            uniq >formas

#
# Constri o silabrio. Isso exige uma mquina com bastante
# memria. Numa mquina mais simples pode ser possvel a construo
# utilizando-se arquivos intermedirios ao invs de pipes.
#
silabas: fl formas
	./fl -s - <formas | tr '\-' "\n"| sort | uniq >silabas

#
# Constri o ndice do FAQ.
#
FAQ-stamp:
	rm -f FAQ
FAQ: FAQ-stamp
	grep '^@ ' FAQ.i | sed 's/^@ //' > FAQ
	echo >>FAQ
	echo NDICE >>FAQ
	egrep "^(SEO|[1-9]+\.[1-9]+)" FAQ.i | \
	$(AWK) '{ if (/^S/) { print ""; print } else print "  " $$0 }' >>FAQ
	grep -v '^@ ' FAQ.i >>FAQ

#
# SUPORTE A OUTROS VERIFICADORES
# ------------------------------
#
aspell: formas
	aspell --local-data-dir=. --lang=pt create master ./pt_BR <formas 


myspell: br.base br.aff br.ispell
	./afftoOOo >pt_BR.aff
	cat br.ispell|wc -l|tr -d ' ' >pt_BR.dic
	cat br.ispell >>pt_BR.dic

#
# GERAO DE ANLISES E/OU ESTATSTICAS
# -------------------------------------
#

#
# Obteno (aproximada) de estatsticas.
#
stats: br.ispell
	( n=`cat br.ispell | wc -l` ; \
	echo aproximadamente $$n lemas ou razes )
	./conjugue -v BANCO=verbos </dev/null | \
	grep lidos | \
	sed 's/lidos //' | \
	sed 's/paradigmas/paradigmas verbais/'

#
# Lista todos os paradigmas em uso e o nmero de vezes que cada
# um  utilizado.
#
# (no estou muito certo se esse target ainda funciona)
#
paradigmas: conjugue
	$(AWK) -f conjugue -v BANCO=verbos -v FORMATO=n -v CMD=T|\
            grep paradigma|sed 's/ deduzido//'|sort|uniq -c|sort -n

#
# TESTES
# ------
#

#
# Erros do separador de slabas.
#
teste_sep:
	./fl -v -s - <testesep | grep errou

#
# Encontros voclicos no previstos no separador de slabas.
#
teste_ev:
	./fl -v -S | grep -i imprevisto | sort | uniq

#
# Confronto das formas geradas pelo conjugador com as formas geradas
# via arquivo de afixos.
#
teste_v:
	echo Essa opo ainda no est implementada

#
# roda todos os testes
#
testes: teste_v teste_sep teste_ev

#
# Remove todos os arquivos construdos.
#
clean:
	rm -f v.tmp br.tmp palavras.tmp br.base.tmp
	rm -f br.aff br.hash br.ispell.cnt br.ispell.stat
	rm -f v.ispell br.ispell br.ispell.tmp
	rm -f formas
	rm -f conjugue-stamp
	rm -f pt_BR.dic pt_BR.aff
	rm -f silabas br.base br.aff
	rm -f pt_BR
	rm -f E-Rodrigo
	rm -f FAQ
	rm -f *~

=== debian/changelog ===
br.ispell (2.4.really.3.0.beta4-7) unstable; urgency=low

  * debian/info-ispell: Use plain ascii in Language field.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2004 16:04:34 +0100

br.ispell (2.4.really.3.0.beta4-6) unstable; urgency=low

  * Rebuilt to use the new .config file in dictionaries-common-dev
    0.20.1 (closes: #232144).

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2004 12:29:13 +0100

br.ispell (2.4.really.3.0.beta4-5) unstable; urgency=low

  * debian/control: aspell-pt-br depends on aspell-pt-common now.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Jan 2004 16:15:18 +0100

br.ispell (2.4.really.3.0.beta4-4) unstable; urgency=low

  * debian/changelog: Fixed one-character typo (closes: #220823).  This is
    by far the most curious bug report I have never seen.  I am fixing and
    closing it in the standard way though, and I hope that I am not
    introducing ohter ones with this long changelogg entrie.
  * debian/control: Versioned build-dependency on dictionaries-common-dev (>=
    0.16.0), since this version contains the new installdeb-myspell script.
  * debian/rules: Use the installdeb-myspell script provided by the
    dictionaries-common packages.
  * debian/installdeb-myspell, debian/postinst-myspell,
    debian/postrm-myspell: Removed files.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Nov 2003 22:30:45 +0100

br.ispell (2.4.really.3.0.beta4-3) unstable; urgency=low

  * First upload to Debian unstable (closes: #215522).

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 22 Oct 2003 23:11:02 +0200

br.ispell (2.4.really.3.0.beta4-2) unstable; urgency=low

  * Added myspell-pt-br package (thanks to Gustavo R. Montesino
    <ikki_gerrard@yahoo.com.br>).

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 20 Oct 2003 18:45:59 +0200

br.ispell (2.4.really.3.0.beta4-1) unstable; urgency=low

  * New (beta) upstream release.
  * New maintainer.
  * Changed name of source package to br.ispell, which is the upstream name.
  * Added package aspell-pt-br.
  * debian/control:
    - New maintainer.
    - Bumped standards-Version to 3.6.1.
    - Upstream URL is preceded by "Homepage:" as suggested in the Debian
      Best Packaging Practices manual.
    - Added aspell to Build-Dependencies.
    - Removed dependency on gawk | awk.
  * debian/rules:
    - Calls to "make install" were changed to reflect changes in upstream
      Makefile.
    - Use dh_install to move files out of debian/tmp.
  * debian/copyright: Updated upstream URL.
  * debian/README.Debian: Updated text to reflect the current situation.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 28 Sep 2003 16:58:44 +0200

ibrazilian (2.4-5.3) unstable; urgency=low

  * debian/info-ispell: Added Locale entry.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Jun 2002 16:32:00 +0200

ibrazilian (2.4-5.2) unstable; urgency=low

  * debian/info-ispell: Added Pspell-Ispell entry.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  8 Jun 2002 20:49:02 +0200

ibrazilian (2.4-5.1) unstable; urgency=low

  * Merge version 2.4-4.3 into 2.4-5.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 Mar 2002 21:08:37 +0100

ibrazilian (2.4-5) unstable; urgency=low

  * debian/control: Fixed minor spelling typos.
    (Closes: #124467, #124746, #135920)

 -- Carlos Laviola <claviola@debian.org>  Thu, 21 Mar 2002 21:59:02 -0300

ibrazilian (2.4-4.3) unstable; urgency=low

  * Rebuilding against ispell 3.1.20-30. Will now use MAXSTRINGCHARS=128

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 Feb 2002 15:18:06 +0100

ibrazilian (2.4-4.2) unstable; urgency=low

  * Regenerated to get the fixed postrm script from dictionaries-common
    release 0.4.99.6.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 28 Nov 2001 20:13:34 +0100

ibrazilian (2.4-4.1) unstable; urgency=low

  * Upgraded for compliance with the new Debian Spelling Dictionaries and
    Tools Policy.
  * debian/control:
      - Bumped Standards-Version to 3.5.6.
      - Pre-Depends on dictionaries-common.
      - Build-Depends on dictionaries-common-dev.
  * debian/rules: Removed call to dh_link.  Linking brazilian.hash to
    brasiliero.hash is not necessary anymore.  CAll installdeb-ispell, as
    required for the new Policy.
  * debian/ibrazilian.emacsen-startup, debian/postinst, debian/prerm,
    debian/postrm, debian/conffiles: Removed files.  They are not
    necessary in the framework of the new Policy.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Nov 2001 22:32:05 +0100

ibrazilian (2.4-4) unstable; urgency=low

  * debian/rules: binary-arch was missing the 'install' target, so none
    of the buildd's was creating a valid package. This is fixed now.

 -- Carlos Laviola <claviola@debian.org>  Sun,  3 Jun 2001 16:41:14 -0300

ibrazilian (2.4-3) unstable; urgency=low

  * Changed my e-mail from claviola@ajato.com.br to claviola@debian.org
    in all my packages.

 -- Carlos Laviola <claviola@debian.org>  Wed, 30 May 2001 16:51:28 -0300

ibrazilian (2.4-2) unstable; urgency=low

  * Added ispell to the Build-Depends of the package. (Closes: #92563)
  * Did some cleaning in the rules (use dh_link instead of manual
  symlinking, for instance).

 -- Carlos Laviola <claviola@ajato.com.br>  Mon,  2 Apr 2001 12:50:29 -0300

ibrazilian (2.4-1) unstable; urgency=low

  * "New" upstream release
  * New maintainer
  * Bumped Standards-Version from 2.5.0 (!) to 3.5.2
  * Made the transition from /usr/doc to /usr/share/doc (Closes: #91498,
  #91399)
  * Moved conjugue(1) to /usr/share/man (Closes: #91123)

 -- Carlos Laviola <claviola@ajato.com.br>  Wed, 28 Mar 2001 10:26:16 -0300

ibrazilian (2.3-2) unstable; urgency=low

  * Corrected some bugs in targets clean and .PHONY of upstream Makefile.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Fri, 11 Jun 1999 18:12:49 +0200

ibrazilian (2.3-1) unstable; urgency=low

  * New upstream version.
  * Upgraded to Standard-Version 2.5.0.


=== debian/control ===
Source: br.ispell
Section: text
Priority: optional
Maintainer: Rafael Laboissiere <rafael@debian.org>
Build-Depends: gawk | awk, debhelper (>= 3.0.0), ispell, dictionaries-common-dev (>= 0.20), aspell
Standards-Version: 3.6.1

Package: ibrazilian
Architecture: any
Provides: ispell-dictionary
Depends: dictionaries-common (>= 0.20), ispell, debconf
Suggests: brazilian-conjugate
Description: The Brazilian Portuguese dictionary for ispell
 This is the Brazilian Portuguese dictionary for ispell as put together by
 Ricardo Ueda Karpischek <ueda@ime.usp.br>.
 .
 Current status is good enough to be used for daily needs. This dictionary
 is being developed in a structured way. Verbs are treated apart by a
 specific software, a verb conjugator (conjugue). Names are partitioned
 into semantic classes to make vocabulary completion and revision easier.
 .
 Homepage: http://www.ime.usp.br/~ueda/br.ispell/

Package: brazilian-conjugate
Priority: extra
Architecture: all
Suggests: ibrazilian
Description: Brazilian Portuguese verb conjugator
 This package contains a interactive program (conjugue) capable of
 conjugating portuguese verbs, as spoken in Brazil.  The upstream version
 is numbered 1.0, but as it is distributed together with the Ispell
 dictionary for Brazilian Portuguese, it has the same version number as the
 ibrazilian package for Debian.
 .
 Homepage: http://www.ime.usp.br/~ueda/br.ispell/

Package: aspell-pt-br
Architecture: any
Provides: aspell-dictionary
Depends: libaspell15, aspell-pt-common
Suggests: aspell-bin
Conflicts: aspell-pt (<= 0.50-2-1)
Description: The Brazilian Portuguese dictionary for GNU Aspell
 This package contains all the required files to add support for the
 Brazilian Portuguese language to the GNU Aspell spell checker.
 .
 Homepage: http://www.ime.usp.br/~ueda/br.ispell/

Package: myspell-pt-br
Architecture: all
Provides: myspell-dictionary, myspell-dictionary-pt, myspell-dictionary-pt-br
Depends: dictionaries-common (>= 0.20)
Suggests: openoffice.org (>= 1.0.3-3)
Conflicts: openoffice.org (<= 1.0.3-2)
Description: The Brazilian Portuguese dictionary for myspell
 This is the Brazilian Portuguese dictionary for use with the myspell
 spellchecker which is currently used within OpenOffice.org and the mozilla
 spellchecker.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Modified for the Debian GNU/Linux system packages 'ibrazilian' and
# 'brazilian-conjugate' by Carlos Laviola, with aid of rules file
# made by the previous maintainer, Rafael Laboissiere.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

debdir := $(CURDIR)/debian
tmpdir := $(debdir)/tmp
usrdir := $(tmpdir)/usr
libdir := $(usrdir)/lib

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure_stamp

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cp conjugue conjugue-orig
	cp conjugue.1 conjugue.1-orig
	$(MAKE) AWK=/usr/bin/awk

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	if [ -f conjugue-orig ] ; then mv conjugue-orig conjugue ; fi
	if [ -f conjugue.1-orig ] ; then mv conjugue.1-orig conjugue.1 ; fi
	rm -f pt_BR-only.rws

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot

	# Add here commands to install the package into debian/ibrazilian.
	$(MAKE) install prefix=$(usrdir) DESTDIR=$(tmpdir) \
          MANDIR=$(usrdir)/share/man HASHDIR=$(usrdir)/lib/ispell \
	  VDIR=/usr/lib/brazilian-conjugate AWK=/usr/bin/awk
	( cd $(libdir)/ispell ; \
          mv br.hash brasileiro.hash ; mv br.aff brasileiro.aff )
	dh_install --no-package=aspell-pt-br --no-package=myspell-pt-br --sourcedir=$(tmpdir)
	cp pt_BR pt_BR-only.rws
	dh_install --package=aspell-pt-br
	dh_install --package=myspell-pt-br


# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README ANUNCIO FAQ.i
	dh_installchangelogs -i CHANGELOG
	dh_compress -i
	dh_fixperms -i
	dh_installman -i
	installdeb-myspell --package=myspell-pt-br --srcdir=.
	dh_installdeb -i
	dh_link -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a README ANUNCIO FAQ.i
	dh_installemacsen -a
	dh_installchangelogs -a CHANGELOG
	dh_compress -a
	dh_fixperms -a
	installdeb-ispell --package=ibrazilian
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## br.ispell 3.0~beta4

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 #
 prefix=/usr/local
 BINDIR=$(prefix)/bin
-HASHDIR=$(prefix)/lib/ispell
+HASHDIR=/usr/lib/ispell
 VDIR=$(prefix)/lib
 MANDIR=$(prefix)/man
 
@@ -152,7 +152,7 @@
 # que tiverem sido especificados acima.
 #
 install-conjugue:
-	sed -e 's|/usr/bin/gawk|$(AWK)|g' -e \
+	sed -e 's|/usr/bin/awk|$(AWK)|g' -e \
 	's|/usr/local/lib/verbos|$(VDIR)/verbos|g' conjugue >conjugue.tmp
 	chmod 755 conjugue.tmp
 	mv -f conjugue.tmp conjugue
@@ -162,8 +162,8 @@
 	touch conjugue-stamp
 	install -d $(BINDIR)
 	install --mode=755 conjugue $(BINDIR)/conjugue
-	install -d $(DESTDIR)$(VDIR)
-	install --mode=644 verbos $(DESTDIR)$(VDIR)/verbos
+	install -d $(VDIR)
+	install --mode=644 verbos $(VDIR)/verbos
 	install -d $(MANDIR)/man1
 	install --mode=644 conjugue.1 $(MANDIR)/man1/conjugue.1
 
@@ -205,8 +205,7 @@
 # ------------------------------
 #
 aspell: formas
-	aspell --local-data-dir=. --lang=pt create master ./pt_BR <formas 
-
+	aspell --lang=pt_BR create master ./pt_BR <formas 
 
 myspell: br.base br.aff br.ispell
 	./afftoOOo >pt_BR.aff

=== debian/changelog ===
br.ispell (3.0~beta4-26) unstable; urgency=medium

  * debian/{rules,control}: Drop quilt usage and build dependency.
    Thanks to Alexandre Detiste (Closes: #1123899)
  * debian/control:
    - Bump debhelper-compat to 13.
    - Bump Standards-Version. No changes required.
  * Add some lintian overrides.
  * debian/watch: Migrate to version 5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 24 Dec 2025 23:31:35 +0100

br.ispell (3.0~beta4-25) unstable; urgency=medium

  [ Eriberto Mota ]
  * debian/clean: Make sure br.stat is removed (Closes: #1043809).

  [ Agustin Martin Domingo ]
  * Add 'No-Site' debian/watch snippet by Eriberto Mota. br.ispell
    upstream site is no longer available and upstream email bounces.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 25 Aug 2023 19:45:21 +0200

br.ispell (3.0~beta4-24) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dictionaries-common-dev.

  [ Agustin Martin Domingo ]
  * debian/copyright: Update copyright years.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 03 Aug 2022 19:43:49 +0200

br.ispell (3.0~beta4-23) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 18:34:55 +0100

br.ispell (3.0~beta4-22.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 16:22:33 +0100

br.ispell (3.0~beta4-22) unstable; urgency=medium

  * Ship upstream docs UTF-8.
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 Sep 2018 12:04:07 +0200

br.ispell (3.0~beta4-21) unstable; urgency=medium

  * Make brazilian wordlist UTF-8. Thanks Pander (Closes: #901232).
  * Make debian/copyright DEP-5.
  * Bump Standards-Version. No changes required.
  * Mark brazilian-conjugate Multi-Arch: foreign.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Jun 2018 11:45:47 +0200

br.ispell (3.0~beta4-20) unstable; urgency=medium

  * debian/control:
    - Change Vcs-* headers for salsa migration.
    - Bump Standards-Version. No changes required.
    - Use "optional" priority for brazilian-conjugate, not "extra".
    - Typo fix in brazilian-conjugate description.
  * Bump debhelper compatibility level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 15 Feb 2018 18:30:53 +0100

br.ispell (3.0~beta4-19) unstable; urgency=medium

  * debian/control: Bump Standards-version. No changes needed.
  * debian/rules: Make sure build is always done in a reproducible and
    working LC_ALL=C language environment  (Closes: #789098).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Jun 2015 09:07:12 +0200

br.ispell (3.0~beta4-18) unstable; urgency=medium

  * debian/rules: make the build reproducible. Thanks Chris Lamb
    (Closes: #777715).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:14:01 +0200

br.ispell (3.0~beta4-17) unstable; urgency=low

  * Do not ship /var/lib/ispell dir nor ship symlinks to it.
  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs. Fix Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 11:09:28 +0200

br.ispell (3.0~beta4-16) unstable; urgency=low

  * debian/control:
    - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${wordlist:Depends}
      + Deal with remove files in debhelper snippet.
    - Bump Standards Version. No changes required.
    - Canonicalize Vcs-* headers.
  * Add debian/source/format for 3.0 (quilt).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 05 Mar 2014 18:41:08 +0100

br.ispell (3.0~beta4-15) unstable; urgency=low

  * Use auto-compat feature to avoid modification of placeholders
    shipped under /var by maintainer scripts. Needs a Build
    Dependency on dictionaries-common-dev (>= 1.11.2).
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
  * debian/control: Bump Standards-Version. No changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 16:19:45 +0200

br.ispell (3.0~beta4-14) unstable; urgency=low

  * Make ibrazilian an arch all package by using ispell-autobuildhash.
  * Fix lintian debhelper-but-no-misc-depends.
  * Make sure we build at least with dictionaries-common-dev 1.2 to
    better comply with policy.
  * Call debian/latin1-troff.pl as a perl argument.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jan 2010 16:53:11 +0100

br.ispell (3.0~beta4-13) unstable; urgency=low

  [ Rafael Laboissiere ]

  * debian/control: Append trunk/ to the path in Vcs-Svn:, such that
    debcheckout works
  * Switch from dpatch to quilt
  * debian/patches/conjugations.diff: Fix conjugation of several verbs,
    thanks to Jakson Alves de Aquino (closes: #482573)
  * debian/copyright:
    - Add proper upstream copyright statement
    - Add licensing terms for the Debian packaging
  * debian/rules: Call dh_compress after dh_installman, such that he man
    page conjugue.1 is compressed (Lintian error)
  * debian/patches/hyphen-minus-sign.diff: Add patch for fixing usage of
    the "-" character either as minus or hyphen (Lintian warning)
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

  [ Agustin Martin Domingo ]

  * New maintainer (Closes: #534367).


=== debian/control ===
Source: br.ispell
Section: text
Priority: optional
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Build-Depends: gawk,
	       debhelper-compat (= 13),
	       ispell,
	       recode,
	       dictionaries-common-dev
Homepage: https://www.ime.usp.br/~ueda/br.ispell/
Vcs-Git: https://salsa.debian.org/debian/br.ispell.git
Vcs-Browser: https://salsa.debian.org/debian/br.ispell
Standards-Version: 4.7.2

Package: ibrazilian
Architecture: all
Provides: ispell-dictionary
Depends: ${misc:Depends},
	 debconf | debconf-2.0,
	 ${ispell:Depends}
Suggests: brazilian-conjugate
Description: Brazilian Portuguese dictionary for ispell
 This is the Brazilian Portuguese dictionary for ispell as put together by
 Ricardo Ueda Karpischek <ueda@ime.usp.br>.
 .
 Current status is good enough to be used for daily needs. This dictionary
 is being developed in a structured way. Verbs are treated apart by a
 specific software, a verb conjugator (conjugue). Names are partitioned
 into semantic classes to make vocabulary completion and revision easier.

Package: brazilian-conjugate
Architecture: all
Suggests: ibrazilian
Depends: ${misc:Depends},
	 gawk
Multi-Arch: foreign
Description: Brazilian Portuguese verb conjugator
 This package contains a interactive program (conjugue) capable of
 conjugating Portuguese verbs, as spoken in Brazil.  The upstream version
 is numbered 1.0, but as it is distributed together with the Ispell
 dictionary for Brazilian Portuguese, it has the same version number as the
 ibrazilian package for Debian.

Package: wbrazilian
Architecture: all
Depends: ${misc:Depends},
	 debconf | debconf-2.0,
	 ${wordlist:Depends}
Provides: wordlist
Description: Brazilian Portuguese wordlist
 This package provides the file /usr/share/dict/brazilian containing a
 list of Portuguese words with Brazilian spellings. It was obtained
 from the br.ispell dictionary developed by Ricardo Ueda Karpischek.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Modified for the Debian GNU/Linux system packages 'ibrazilian' and
# 'brazilian-conjugate' by Carlos Laviola, with aid of rules file
# made by the previous maintainer, Rafael Laboissiere.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

debdir   := $(CURDIR)/debian
tmpdir   := $(debdir)/tmp
usrdir   := $(tmpdir)/usr
bindir   := $(usrdir)/bin

libdir   := $(usrdir)/lib/ispell
sharedir := $(tmpdir)/usr/share/ispell

# The following rules avoid the inclusion of changed conjugue and conjugue.1
# files in the diff.gz file, making dpkg-buildpackage reentrant

savefiles = conjugue conjugue.1

# These docs are ISO-8859-1, but should be released as UTF-8
DOCS_LATIN1 = ANUNCIO CHANGELOG README TODO FAQ.i

# Make sure build is always done in a reproducible and working
# language environment
LC_ALL=C
export LC_ALL

save-conjugue:
	for f in $(savefiles) ; do			\
		test -f $$f-orig || cp $$f $$f-orig ; 	\
	done

restore-conjugue:
	for f in $(savefiles) ; do			\
		test ! -f $$f-orig || mv $$f-orig $$f ;	\
	done

recode-manpage:
	perl debian/latin1-troff.pl conjugue.1

build:  build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: save-conjugue recode-manpage recode-docs
	dh_testdir

	# Build everything besides aspell
	$(MAKE) AWK=/usr/bin/gawk \
		formas br.aff br.base br.ispell

	# conjugue files
	for e in UTF-8 ISO-8859-1 ; do	\
	    cp verbos verbos-$$e ;	\
	done
	recode l1..utf8 verbos-UTF-8

	# wordlist file
	iconv -f ISO-8859-1 -t UTF-8 formas > brazilian

	touch build-stamp

recode-docs:
	# Docs should be UTF-8
	for doc in $(DOCS_LATIN1); do \
		[ ! -e "$$doc.BKP" ] || exit 1; \
		cp $$doc $$doc.BKP; \
		recode l1..utf8 $$doc; \
	done
	touch $@

clean: restore-conjugue
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	rm -f brazilian

	# Restore old latin1 docs
	for doc in $(DOCS_LATIN1); do \
		[ ! -e "$$doc.BKP" ] || mv -f "$$doc.BKP" "$$doc"; \
	done
	rm -f recode-docs

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot

	mkdir -p $(sharedir)
	# Add here commands to install the package into debian/ibrazilian.
	$(MAKE) install prefix=$(usrdir) DESTDIR=$(tmpdir) \
          MANDIR=$(usrdir)/share/man HASHDIR=$(usrdir)/lib/ispell \
	  VDIR=/usr/lib/brazilian-conjugate AWK=/usr/bin/gawk
	( cd $(bindir) ;						\
	  for e in UTF-8 ISO-8859-1 ; do				\
	      cp conjugue conjugue-$$e ;				\
	      perl -pi -e "s|/verbos|/verbos-$$e|" conjugue-$$e ;	\
	  done ;							\
	  recode l1..utf8 conjugue-UTF-8 )
	mv $(libdir)/br.aff $(libdir)/brasileiro.aff
	rm -f $(libdir)/br.hash
	rm -f $(libdir)/brazilian-conjugate/verbos
        # -- Install gzipped affix compressed dictionary
	gzip -n --best -c br.ispell > $(sharedir)/brasileiro.mwl.gz
	install --mode=577 debian/conjugue-wrapper $(bindir)/conjugue
	dh_install --package=ibrazilian --sourcedir=$(tmpdir)
	dh_install --no-package=ibrazilian
	for e in UTF-8 ISO-8859-1 ; do			\
	    dh_link --package=brazilian-conjugate	\
		usr/share/man/man1/conjugue.1		\
		usr/share/man/man1/conjugue-$$e.1 ;	\
	done

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs --package=wbrazilian
	dh_installdocs -A --no-package=wbrazilian README ANUNCIO FAQ.i
	dh_installchangelogs -i CHANGELOG
	dh_installman -i
	installdeb-wordlist --package=wbrazilian
	installdeb-ispell --package=ibrazilian
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_link -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
        # Nothing to do here

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
Version: 5

# br.ispell upstream site is no longer available and email does not work.
# Thanks https://people.debian.org/~eriberto/#fake-packages
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
Dversion-Mangle:s/.*/0.No-Site/
